ChatterBlocker logo
Requirements

 

System Requirements:

Compatible with iPhone, iPod Touch, and iPad. Requires iOS 4.3 or later.